#pragma once
#include "ParameterInterface.h"

class ParameterS16 : public ParameterInterface<int16_t>
{
private:
	int16_t param = 0;
public:
	ParameterS16(const ModbusRegister description, uint16_t address, Access access) : ParameterInterface(description, address, access) {};
    ParameterS16(const ModbusRegister description, const unsigned short address, const Access access, const Category cat) : ParameterInterface(description, address, access, cat) {};
    virtual ~ParameterS16(){}

	uint8_t getSize() const override { return 16; }

};
