#pragma once
#include "ParameterInterface.h"

class ParameterUInt16 : public ParameterInterface<uint16_t>
{
private:
	uint16_t param = 0;
public:
	ParameterUInt16(const ModbusRegister description, uint16_t address, Access access) : ParameterInterface(description, address, access) {};
    ParameterUInt16(const ModbusRegister description, const unsigned short address, const Access access, const Category cat) : ParameterInterface(description, address, access, cat) {};
    virtual ~ParameterUInt16(){}

	uint8_t getSize() const override { return 16; }

};
