#pragma once
#include "ParameterInterface.h"
typedef double FP64;

class ParameterDouble : public ParameterInterface<FP64>
{
private: 
	FP64 param = 0.0;
public:
	ParameterDouble(const ModbusRegister description, uint16_t address, Access access) : ParameterInterface(description, address, access) {};
    ParameterDouble(const ModbusRegister description, const unsigned short address, const Access access, const Category cat) : ParameterInterface(description, address, access, cat) {};
    virtual ~ParameterDouble(){}

	uint8_t getSize() const override { return 64; }

};
