#include "PublisherInterface.h"

#include <easylogging++.h>

u_int PublisherInterface::id_static = 0;

PublisherInterface::PublisherInterface(const PublisherType type)
    : id(id_static++), type(type)
{}


bool PublisherInterface::operator==(const PublisherInterface& p2) const{
	return this->id == p2.id;
}

ts_queue<ParameterSpecification>& PublisherInterface::enqueueReadingRegisters(ts_queue< ParameterSpecification>& queue, Category cat){
    modbusData->modbusRegisterCat(cat, queue, connection);
    return queue;
}
